Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058998 - Broken paths
Summary: Broken paths
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: icedtea-web
Version: 20
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 23:47 UTC by David Strauss
Modified: 2015-06-19 05:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-19 05:35:00 UTC


Attachments (Terms of Use)

Description David Strauss 2014-01-28 23:47:44 UTC
Description of problem:
The package installs /usr/bin/javaws.itweb and /usr/bin/javaws, which use JAVA=/usr/lib/jvm/jre-openjdk/bin/java, which doesn't exist.

Version-Release number of selected component (if applicable):
Name        : icedtea-web
Arch        : x86_64
Version     : 1.4.1
Release     : 1.fc20

How reproducible:
Every time.

Steps to Reproduce:
1. yum install icedtea-web
2. javaws

Actual results:
/usr/bin/javaws: line 89: /usr/lib/jvm/jre-openjdk/bin/java: No such file or directory

Expected results:
Java Web Start

Comment 1 David Strauss 2014-01-28 23:48:34 UTC
Nothing seems to provide /usr/lib/jvm/jre-openjdk/bin/java, too. Installing either the Java 7 or Java 8 OpenJDK/JRE packages doesn't make it work.

Comment 2 jiri vanek 2014-01-29 15:19:49 UTC
When you are mentioning jdk8, then I bet
https://bugzilla.redhat.com/show_bug.cgi?id=1058533
is the cause.

Comment 3 jiri vanek 2014-01-29 15:25:59 UTC
end selinux case also is second bet:
https://bugzilla.redhat.com/show_bug.cgi?id=1057706
(with cause in  https://bugzilla.redhat.com/show_bug.cgi?id=1056187)

Comment 4 David Strauss 2014-01-30 23:21:31 UTC
I'm not really sure what's causing my issue, but it's extremely easy to reproduce on a 100% default Fedora installation from the Live CD.

Comment 5 jiri vanek 2014-01-31 08:45:31 UTC
Whats an output of your " alternatives   --config java" command?

Comment 6 David Strauss 2014-02-05 21:48:55 UTC
From a completely clean Fedora 20 installation with these packages: java-1.7.0-openjdk-devel java-1.8.0-openjdk-devel icedtea-web

[straussd@zeus ~]$ alternatives   --config java

There are 2 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
*+ 1           /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.1.fc20.x86_64/jre/bin/java
   2           /usr/lib/jvm/jre-1.8.0-openjdk.x86_64/bin/java

Comment 7 jiri vanek 2014-02-12 07:45:02 UTC
one more info please - output of: ls -l /usr/lib/jvm

Comment 8 David Strauss 2014-02-14 21:18:25 UTC
[straussd@zeus ~]$ ls -l /usr/lib/jvm
total 16
lrwxrwxrwx. 1 root root   26 Feb 10 11:05 java -> /etc/alternatives/java_sdk
lrwxrwxrwx. 1 root root   32 Feb 10 11:05 java-1.7.0 -> /etc/alternatives/java_sdk_1.7.0
lrwxrwxrwx. 1 root root   40 Feb 10 11:05 java-1.7.0-openjdk -> /etc/alternatives/java_sdk_1.7.0_openjdk
drwxr-xr-x. 3 root root 4096 Jan 31 17:02 java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64
drwxr-xr-x. 3 root root 4096 Feb 10 11:05 java-1.7.0-openjdk-1.7.0.60-2.4.4.1.fc20.x86_64
drwxr-xr-x. 8 root root 4096 Feb 10 11:04 java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64
lrwxrwxrwx. 1 root root   32 Jan 31 17:19 java-1.8.0 -> /etc/alternatives/java_sdk_1.8.0
drwxr-xr-x. 7 root root 4096 Jan 31 17:19 java-1.8.0-openjdk-1.8.0.0.x86_64
lrwxrwxrwx. 1 root root   33 Jan 31 17:19 java-1.8.0-openjdk.x86_64 -> java-1.8.0-openjdk-1.8.0.0.x86_64
lrwxrwxrwx. 1 root root   34 Feb 10 11:05 java-openjdk -> /etc/alternatives/java_sdk_openjdk
lrwxrwxrwx. 1 root root   21 Feb 10 11:05 jre -> /etc/alternatives/jre
lrwxrwxrwx. 1 root root   27 Feb 10 11:05 jre-1.7.0 -> /etc/alternatives/jre_1.7.0
lrwxrwxrwx. 1 root root   35 Feb 10 11:05 jre-1.7.0-openjdk -> /etc/alternatives/jre_1.7.0_openjdk
lrwxrwxrwx. 1 root root   51 Feb 10 11:04 jre-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64 -> java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64/jre
lrwxrwxrwx. 1 root root   27 Jan 31 17:19 jre-1.8.0 -> /etc/alternatives/jre_1.8.0
lrwxrwxrwx. 1 root root   37 Jan 31 17:19 jre-1.8.0-openjdk.x86_64 -> java-1.8.0-openjdk-1.8.0.0.x86_64/jre
lrwxrwxrwx. 1 root root   29 Feb 10 11:05 jre-openjdk -> /etc/alternatives/jre_openjdk

Comment 9 Fedora End Of Life 2015-05-29 10:43:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.